
From: Jesper Juhl <juhl-lkml@dif.dk>

Signed-off-by: Jesper Juhl <juhl-lkml@dif.dk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/atyfb_base.c     |    8 +++-----
 25-akpm/drivers/video/aty/radeon_base.c    |   12 ++++--------
 25-akpm/drivers/video/aty/radeon_monitor.c |    6 ++----
 25-akpm/drivers/video/console/bitblit.c    |    9 +++------
 25-akpm/drivers/video/console/sticore.c    |    7 ++-----
 25-akpm/drivers/video/fbmem.c              |    9 +++------
 25-akpm/drivers/video/fbmon.c              |    3 +--
 25-akpm/drivers/video/igafb.c              |    3 +--
 25-akpm/drivers/video/pxafb.c              |    3 +--
 25-akpm/drivers/video/riva/fbdev.c         |    3 +--
 25-akpm/drivers/video/sa1100fb.c           |    3 +--
 11 files changed, 22 insertions(+), 44 deletions(-)

diff -puN drivers/video/aty/atyfb_base.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/aty/atyfb_base.c
--- 25/drivers/video/aty/atyfb_base.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/aty/atyfb_base.c	2005-03-20 16:25:43.000000000 -0800
@@ -3435,8 +3435,7 @@ static int __devinit atyfb_pci_probe(str
 
 err_release_io:
 #ifdef __sparc__
-	if (par->mmap_map)
-		kfree(par->mmap_map);
+	kfree(par->mmap_map);
 #else
 	if (par->ati_regbase)
 		iounmap(par->ati_regbase);
@@ -3444,7 +3443,7 @@ err_release_io:
 		iounmap(info->screen_base);
 #endif
 err_release_mem:
-	if(par->aux_start)
+	if (par->aux_start)
 		release_mem_region(par->aux_start, par->aux_size);
 
 	release_mem_region(par->res_start, par->res_size);
@@ -3551,8 +3550,7 @@ static void __devexit atyfb_remove(struc
 #endif
 #endif
 #ifdef __sparc__
-	if (par->mmap_map)
-		kfree(par->mmap_map);
+	kfree(par->mmap_map);
 #endif
 	if (par->aux_start)
 		release_mem_region(par->aux_start, par->aux_size);
diff -puN drivers/video/aty/radeon_base.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/aty/radeon_base.c
--- 25/drivers/video/aty/radeon_base.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/aty/radeon_base.c	2005-03-20 16:25:43.000000000 -0800
@@ -2420,10 +2420,8 @@ static int radeonfb_pci_register (struct
 err_unmap_fb:
 	iounmap(rinfo->fb_base);
 err_unmap_rom:
-	if (rinfo->mon1_EDID)
-	    kfree(rinfo->mon1_EDID);
-	if (rinfo->mon2_EDID)
-	    kfree(rinfo->mon2_EDID);
+	kfree(rinfo->mon1_EDID);
+	kfree(rinfo->mon2_EDID);
 	if (rinfo->mon1_modedb)
 		fb_destroy_modedb(rinfo->mon1_modedb);
 	fb_dealloc_cmap(&info->cmap);
@@ -2479,10 +2477,8 @@ static void __devexit radeonfb_pci_unreg
  
  	pci_release_regions(pdev);
 
-	if (rinfo->mon1_EDID)
-		kfree(rinfo->mon1_EDID);
-	if (rinfo->mon2_EDID)
-		kfree(rinfo->mon2_EDID);
+	kfree(rinfo->mon1_EDID);
+	kfree(rinfo->mon2_EDID);
 	if (rinfo->mon1_modedb)
 		fb_destroy_modedb(rinfo->mon1_modedb);
 #ifdef CONFIG_FB_RADEON_I2C
diff -puN drivers/video/aty/radeon_monitor.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/aty/radeon_monitor.c
--- 25/drivers/video/aty/radeon_monitor.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/aty/radeon_monitor.c	2005-03-20 16:25:43.000000000 -0800
@@ -618,11 +618,9 @@ void __devinit radeon_probe_screens(stru
 		}
 	}
 	if (ignore_edid) {
-		if (rinfo->mon1_EDID)
-			kfree(rinfo->mon1_EDID);
+		kfree(rinfo->mon1_EDID);
 		rinfo->mon1_EDID = NULL;
-		if (rinfo->mon2_EDID)
-			kfree(rinfo->mon2_EDID);
+		kfree(rinfo->mon2_EDID);
 		rinfo->mon2_EDID = NULL;
 	}
 
diff -puN drivers/video/console/bitblit.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/console/bitblit.c
--- 25/drivers/video/console/bitblit.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/console/bitblit.c	2005-03-20 16:25:46.000000000 -0800
@@ -199,8 +199,7 @@ static void bit_putcs(struct vc_data *vc
 		count -= cnt;
 	}
 
-	if (buf)
-		kfree(buf);
+	kfree(buf);
 }
 
 static void bit_clear_margins(struct vc_data *vc, struct fb_info *info,
@@ -273,8 +272,7 @@ static void bit_cursor(struct vc_data *v
 		dst = kmalloc(w * vc->vc_font.height, GFP_ATOMIC);
 		if (!dst)
 			return;
-		if (ops->cursor_data)
-			kfree(ops->cursor_data);
+		kfree(ops->cursor_data);
 		ops->cursor_data = dst;
 		update_attr(dst, src, attribute, vc);
 		src = dst;
@@ -321,8 +319,7 @@ static void bit_cursor(struct vc_data *v
 		if (!mask)
 			return;
 
-		if (ops->cursor_state.mask)
-			kfree(ops->cursor_state.mask);
+		kfree(ops->cursor_state.mask);
 		ops->cursor_state.mask = mask;
 
 		p->cursor_shape = vc->vc_cursor_type;
diff -puN drivers/video/console/sticore.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/console/sticore.c
--- 25/drivers/video/console/sticore.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/console/sticore.c	2005-03-20 16:25:43.000000000 -0800
@@ -798,11 +798,8 @@ sti_read_rom(int wordmode, struct sti_st
 	return 1;
 
 out_err:
-	if(raw)
-		kfree(raw);
-	if(cooked)
-		kfree(cooked);
-
+	kfree(raw);
+	kfree(cooked);
 	return 0;
 }
 
diff -puN drivers/video/fbmem.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/fbmem.c
--- 25/drivers/video/fbmem.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/fbmem.c	2005-03-20 16:25:43.000000000 -0800
@@ -446,8 +446,7 @@ int fb_show_logo(struct fb_info *info)
 		logo_new = kmalloc(fb_logo.logo->width * fb_logo.logo->height, 
 				   GFP_KERNEL);
 		if (logo_new == NULL) {
-			if (palette)
-				kfree(palette);
+			kfree(palette);
 			if (saved_pseudo_palette)
 				info->pseudo_palette = saved_pseudo_palette;
 			return 0;
@@ -466,12 +465,10 @@ int fb_show_logo(struct fb_info *info)
 		info->fbops->fb_imageblit(info, &image);
 	}
 	
-	if (palette != NULL)
-		kfree(palette);
+	kfree(palette);
 	if (saved_pseudo_palette != NULL)
 		info->pseudo_palette = saved_pseudo_palette;
-	if (logo_new != NULL)
-		kfree(logo_new);
+	kfree(logo_new);
 	return fb_logo.logo->height;
 }
 #else
diff -puN drivers/video/fbmon.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/fbmon.c
--- 25/drivers/video/fbmon.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/fbmon.c	2005-03-20 16:25:43.000000000 -0800
@@ -588,8 +588,7 @@ static struct fb_videomode *fb_create_mo
  */
 void fb_destroy_modedb(struct fb_videomode *modedb)
 {
-	if (modedb)
-		kfree(modedb);
+	kfree(modedb);
 }
 
 static int fb_get_monitor_limits(unsigned char *edid, struct fb_monspecs *specs)
diff -puN drivers/video/igafb.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/igafb.c
--- 25/drivers/video/igafb.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/igafb.c	2005-03-20 16:25:43.000000000 -0800
@@ -536,8 +536,7 @@ int __init igafb_init(void)
 	if (!iga_init(info, par)) {
 		iounmap((void *)par->io_base);
 		iounmap(info->screen_base);
-		if (par->mmap_map)
-			kfree(par->mmap_map);
+		kfree(par->mmap_map);
 		kfree(info);
         }
 
diff -puN drivers/video/pxafb.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/pxafb.c
--- 25/drivers/video/pxafb.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/pxafb.c	2005-03-20 16:25:43.000000000 -0800
@@ -1343,8 +1343,7 @@ int __init pxafb_probe(struct device *de
 
 failed:
 	dev_set_drvdata(dev, NULL);
-	if (fbi)
-		kfree(fbi);
+	kfree(fbi);
 	return ret;
 }
 
diff -puN drivers/video/riva/fbdev.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/riva/fbdev.c
--- 25/drivers/video/riva/fbdev.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/riva/fbdev.c	2005-03-20 16:25:43.000000000 -0800
@@ -2108,8 +2108,7 @@ static void __exit rivafb_remove(struct 
 
 #ifdef CONFIG_FB_RIVA_I2C
 	riva_delete_i2c_busses(par);
-	if (par->EDID)
-		kfree(par->EDID);
+	kfree(par->EDID);
 #endif
 
 	unregister_framebuffer(info);
diff -puN drivers/video/sa1100fb.c~remove-redundant-null-checks-before-kfree-in-drivers-video drivers/video/sa1100fb.c
--- 25/drivers/video/sa1100fb.c~remove-redundant-null-checks-before-kfree-in-drivers-video	2005-03-20 16:25:43.000000000 -0800
+++ 25-akpm/drivers/video/sa1100fb.c	2005-03-20 16:25:43.000000000 -0800
@@ -1507,8 +1507,7 @@ static int __init sa1100fb_probe(struct 
 
 failed:
 	dev_set_drvdata(dev, NULL);
-	if (fbi)
-		kfree(fbi);
+	kfree(fbi);
 	release_mem_region(0xb0100000, 0x10000);
 	return ret;
 }
_
